# H248_MediaDescriptor Class Reference

`#include <h248.h>`

Inheritance diagram for H248_MediaDescriptor:

List of all members.

## Public Types

enum | OptionalFields { e_termStateDescr, e_streams }

## Public Member Functions

| H248_MediaDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_TerminationStateDescriptor | m_termStateDescr
H248_MediaDescriptor_streams | m_streams

## Member Enumeration Documentation

enum H248_MediaDescriptor::OptionalFields

Enumerator:

  e_termStateDescr |
  e_streams |

## Constructor & Destructor Documentation

H248_MediaDescriptor::H248_MediaDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_MediaDescriptor::GetDataLength | ( |  | ) | const

PBoolean H248_MediaDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H248_MediaDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H248_MediaDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_MediaDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H248_MediaDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

H248_TerminationStateDescriptor H248_MediaDescriptor::m_termStateDescr

H248_MediaDescriptor_streams H248_MediaDescriptor::m_streams

The documentation for this class was generated from the following file:

- h248.h